Skip to main content
POST
Cancel an avatar video

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

Current cancelled or already-terminal resource

id
string
required
Example:

"avv_123"

status
enum<string>
required
Available options:
pending,
running,
finalizing,
completed,
failed,
cancelled
truncated
boolean
required
effectiveMaxDurationSeconds
integer
required
content
object
required
createdAt
string<date-time>
required
metadata
object
required
completionReason
enum<string> | null
Available options:
script_completed,
max_duration_reached,
cancelled,
null
durationSeconds
number | null
sessionId
string | null

Underlying normal EngineSession ID. Use its recording deletion endpoint for deletion.

failure
object | null
retryOf
string | null
startedAt
string<date-time> | null
completedAt
string<date-time> | null
Last modified on August 7, 2026